---
.rule-child-trigger:
  rules:
    - if: $PROJECT_NAME
    # uncomment to allow manual trigger 
    # - when: manual
    #   allow_failure: true

.rule-only-main:
  rules:
    - if: "$CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH"
